Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 119395 - module-rebuild-0.5 doesn't use depencency information and so fails with bcm43xx
Summary: module-rebuild-0.5 doesn't use depencency information and so fails with bcm43xx
Status: RESOLVED CANTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: John Mylchreest (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-18 01:54 UTC by Mike Auty
Modified: 2006-03-03 14:04 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Auty gentoo-dev 2006-01-18 01:54:09 UTC
Hi, module-rebuild lists both ieee80211softmac and bcm43xx, but unfortunately bcm43xx relies on ieee80211softmac to have been built and installed successfully to be able to build itself.  This is perhaps a bug with that driver (which is admittedly very recent and experimental), however it should be possible to have module-rebuild use the dependency information from the packages it has to install, to determine what order is best to compile them in...

It's hard to tell whether this is a bug or an enhancement, so I've marked it as an enhancement, however that are packages in portage that would benefit from it already, so anything that can be done to help would be appreciated.  Thanks...
Comment 1 John Mylchreest (RETIRED) gentoo-dev 2006-03-03 14:04:43 UTC
this problem is actually a dependancy issue on the ebuilds themselves, the maintainer is aware and a fix should follow as appropriate.